#include <bits/stdc++.h>
using namespace std;
int main()
{
    int c[100000];
    int n,a,b;
    cin>>n;
    for(int i=0;i<n;i++)
    {
        cin>>a>>b;
        for(int q=a-1;q<b-1;q++)
        {
            c[q]++;
        }
    }
    sort(c,c+n);
    cout<<c[n-1]<<endl;
    int g=1;
    for(int y=n-1;y>=0;y--)
    {
        if(c[y]!=c[n-1])break;
        else g++;
    }
    cout<<g<<endl;

    return 0;
}
